<!doctype html>
<html>
  <head>
    <title>Příklady PHP</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="ukazky.css">
    <style>
      form {margin-bottom: 10px;}
      input[type=text], select {width: 250px;}
      input[type=submit], form a {background-color:rgb(88,21,6) ; color:white; border-color: rgb(88,21,6);}
      form a {font-size: 95%; text-decoration: none; border: 1px solid rgb(88,21,6); padding: 0px 8px ;}
    </style>
  </head>
  <body>
  <div>
    <header>PHP výpisy - databáze výrobky</header>
    <nav><?php include "menu.php"; ?></nav>
    <article>
      <h1>Výběr dat podle kategorie</h1>
      <form method="get">
        <select name="kategorie">
          <option value="">Vyberte kategorii</option>
          <?php
          include "spojeni.php";  //připojení k MySQL a nastavení UTF8 - objekt $spojeni

          //načtení záznamů z tabulky kategorie a vypsání do option selectu
          $dotaz=$spojeni->prepare("SELECT id,kategorie FROM kategorie ORDER BY kategorie");
          $dotaz->bind_result($id,$kategorie);
          $dotaz->execute();
          while($dotaz->fetch()){
            echo "<option value='$id'>$kategorie</option>";
          }
          $dotaz->close();

          ?>
        </select>
        <input type="submit" value="Zobrazit zvolené">
        <a href="filtr.php">Zobrazit vše</a>
      </form>
      <?php
      if(isset($_GET["kategorie"]) && $_GET["kategorie"]!=""){
        // $_GET["kategorie"] existuje, pokud se odeslal formulář s vybranou kategorií
        $podminka="WHERE vyrobky.id_kategorie={$_GET["kategorie"]}";
      }
      else {$podminka="";}

      //načtení dat z tabulek - vyrobky
      $dotaz=$spojeni->prepare("SELECT kategorie.kategorie,vyrobci.nazev AS znacka,vyrobky.nazev,cena FROM vyrobky JOIN kategorie ON vyrobky.id_kategorie=kategorie.id JOIN vyrobci ON vyrobky.id_vyrobce=vyrobci.id $podminka ORDER BY nazev");
      $dotaz->bind_result($kategorie,$znacka,$nazev,$cena);
      $dotaz->execute();
      //výpis dat do tabulky
      echo "<table>";
      echo "<tr><th>Kategorie</th><th>Značka</th><th>Název</th><th>Cena</th></tr>\n";
      while($dotaz->fetch()){
        echo "<tr><td>$kategorie</td><td>$znacka</td><td>$nazev</td><td>$cena</td></tr>\n";
      }
      echo "</table>";
      $dotaz->close();
      ?>

    </article>
  </div>
  </body>
</html>
